Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Java EE perspective not available
Java EE perspective not available [message #767108] Sat, 17 December 2011 03:23 Go to next message
Paul Morris is currently offline Paul Morris
Messages: 9
Registered: December 2011
Junior Member
Using CentOS 6.1 and Eclipse 3.6. I installed all the Web, XML, and Java EE Development plugins from the Helios site. My system JVM is 1.6.30. I do not have an option to show the Java EE perspective or add any web projects. From what I've read searching on forums if you're JVM is out of date this will happen but I'm using 1.6.30 (Sun distribution) and my Eclipse config shows that its using that JVM. Not sure what's going on but I'd rather not manually install the Java EE Eclipse. Note that I installed Eclipse originally using "yum install eclipse"
Re: Java EE perspective not available [message #767245 is a reply to message #767108] Sat, 17 December 2011 12:31 Go to previous messageGo to next message
Paul Morris is currently offline Paul Morris
Messages: 9
Registered: December 2011
Junior Member
This is solved. I went in and installed Eclipse via the GUI package manager selecting the packages I considered to be relevant. Then once I went in and installed the Web, Java EE, etc. plugin, the perspective was available after all.
Re: Java EE perspective not available [message #767485 is a reply to message #767108] Sun, 18 December 2011 04:50 Go to previous message
Russell Bateman is currently offline Russell Bateman
Messages: 3231
Registered: July 2009
Location: Provo, Utah, USA
Senior Member

On 2011.12.16 20:23, Paul Morris wrote:
> [snip]
> [...] Note that I
> installed Eclipse originally using "yum install eclipse"

Never install Eclipse from anywhere or with any tool (Ubuntu Software
Center, YaST, etc.)--only via a tarball from eclipse.org unless the
system you're running it on is too bizarre.
Previous Topic:installation problem for tomact server
Next Topic:integrate WSDLEditor(org.eclipse.wst.wsdl.ui) into a rcp project.
Goto Forum:
  


Current Time: Fri Oct 31 09:25:38 GMT 2014

Powered by FUDForum. Page generated in 0.04300 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software